Get Artifacts
- GET
- /workspaces
- /:workspace
- /artifacts
- /:artifact_Id
Get a specific artifact by ID
Request example
CURLcurl -X GET "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_Id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
Response examples
Get artifact
EXAMPLE RESPONSE{ "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions", "id": "x5169jL2", "name": "Shared Library Artifact", "identifier": "shared-lib", "type": "CONTAINER", "scope": "WORKSPACE", "authorization": { "type": "NONE" }, "permissions": { "others": "READ_ONLY" }, "size": 2147483648, "created_date": "2024-01-10T08:20:00Z", "note": "Notes about this resource", "agent_note": "my_custom_field: note for agent" }
STATUS200 Artifact retrieved successfully
Get GH release artifact
EXAMPLE RESPONSE{ "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions", "id": "x5169jL2", "name": "My GitHub Releases", "identifier": "my-github-releases", "type": "BUCKET", "subtype": "GH_RELEASE", "scope": "WORKSPACE", "authorization": { "type": "BUDDY" }, "permissions": { "others": "READ_ONLY" }, "integration": { "url": "https://api.buddy.works/workspaces/ttests", "html_url": "https://app.buddy.works/ttests/-/workspace/integrations", "identifier": "my-github-integration", "hash_id": "NLVaDzgp6W2qJljaQlJOoYdmZ3", "name": "GitHub Integration", "type": "GIT_HUB", "auth_type": "TOKEN" }, "external_project_id": "my-org/my-repo", "include_drafts": false, "include_prereleases": true, "size": 1048576, "created_date": "2024-01-10T08:20:00Z" }
STATUS200 Artifact retrieved successfully